LinuxQMISDK: Profile3GPP Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
Profile3GPP Struct Reference

## Data Fields
CHAR * | pProfilename
WORD * | pProfilenameSize
BYTE * | pPDPtype
BYTE * | pPdpHdrCompType
BYTE * | pPdpDataCompType
CHAR * | pAPNName
WORD * | pAPNnameSize
ULONG * | pPriDNSIPv4AddPref
ULONG * | pSecDNSIPv4AddPref
struct UMTSQoS * | pUMTSReqQoS
struct UMTSQoS * | pUMTSMinQoS
struct GPRSRequestedQoS * | pGPRSRequestedQos
struct GPRSRequestedQoS * | pGPRSMinimumQoS
CHAR * | pUsername
WORD * | pUsernameSize
CHAR * | pPassword
WORD * | pPasswordSize
BYTE * | pAuthenticationPref
ULONG * | pIPv4AddrPref
BYTE * | pPcscfAddrUsingPCO
BYTE * | pPdpAccessConFlag
BYTE * | pPcscfAddrUsingDhcp
BYTE * | pImCnFlag
struct TFTIDParams * | pTFTID1Params
struct TFTIDParams * | pTFTID2Params
BYTE * | pPdpContext
BYTE * | pSecondaryFlag
BYTE * | pPrimaryID
USHORT * | pIPv6AddPref
struct UMTSReqQoSSigInd * | pUMTSReqQoSSigInd
struct UMTSReqQoSSigInd * | pUMTSMinQosSigInd
USHORT * | pPriDNSIPv6addpref
USHORT * | pSecDNSIPv6addpref
BYTE * | pAddrAllocPref
struct QosClassID * | pQosClassID
BYTE * | pAPNDisabledFlag
ULONG * | pPDNInactivTimeout
BYTE * | pAPNClass

## Detailed Description

This structure contains Input parameters of SLQSCreateProfile and SLQSModifyProfile and output parameters of SLQSGetProfileSettings

- Parameter values default to their data type's maximum unsigned value unless explicitly stated otherwise.

Parameters

  pProfileName | One or more bytes describing the profile
  pProfilenameSize; | This parameter is an input parameter and should be initialised to the size of pProfileName field. Size of this parameter is 2 bytes.
  pPDPType | Packet Data Protocol (PDP) type specifies the type of data payload exchanged over the air link when the packet data session is established with this profile 0x00 - PDP-IP (IPv4) 0x01 - PDP-PPP 0x02 - PDP-IPV6 0x03 - PDP-IPV4V6
  pPdpHdrCompType | PDP header compression type 0 - PDP header compression is OFF 1 - Manufacturer preferred compression 2 - PDP header compression based on RFC 1144 3 - PDP header compression based on RFC 25074 PDP header compression based on RFC 3095
  pPdpDataCompType | PDP data compression type 0 - PDP data compression is OFF 1 - Manufacturer preferred compression 2 - V.42BIS data compression 3 - V.44 data compression
  pAPNName | Access point name
  pAPNnameSize; | This parameter is an input parameter and should be initialised to the size of pAPNName field. Size of this parameter is 2 bytes.
  pPriDNSIPv4AddPref | Primary DNS IPv4 Address Preference
  pSecDNSIPv4AddPref | Secondary DNS IPv4 Address Preference
  pUMTSReqQoS | UMTS Requested QoS
  pUMTSMinQoS | UMTS Minimum QoS
  pGPRSRequestedQoS | GPRS Minimum QoS
  pUsername | User name
  pUsernameSize; | This parameter is an input parameter and should be initialised to the size of pUsername field. Size of this parameter is 2 bytes.
  pPassword | Password
  pPasswordSize; | This parameter is an input parameter and should be initialised to the size of pPassword field. Size of this parameter is 2 bytes.
  pAuthenticationPref | Authentication Preference Bit map that indicates the authentication algorithm preference Bit 0 - PAP preference 0 - PAP is never performed 1 - PAP may be performed Bit 1 - CHAP preference 0 - CHAP is never performed 1 - CHAP may be performed If more than one bit is set, then the device decides which authentication procedure is performed while setting up the data session. For example, the device may have a policy to select the most secure authentication mechanism.
  pIPv4AddrPref | IPv4 Address Preference
  pPcscfAddrUsingPCO | P-CSCF Address using PCO Flag 1 - (TRUE) implies request PCSCF address using PCO 0 - (FALSE) implies do not request By default, this value is 0
  pPdpAccessConFlag | PDP access control flag 0 - PDP access control none 1 - PDP access control reject 2 - PDP access control permission
  pPcscfAddrUsingDhcp | P-CSCF address using DHCP 1 - (TRUE) implies Request PCSCF address using DHCP 0 - (FALSE) implies do not request By default, value is 0
  pImCnFlag | IM CN flag 1 - (TRUE) implies request IM CN flag for this profile 0 - (FALSE) implies do not request IM CN flag for this profile
  pTFTID1Params | Traffic Flow Template
  pTFTID2Params | Traffic Flow Template
  pPdpContext | PDP context number
  pSecondaryFlag | PDP context secondary flag 1 - (TRUE) implies this is secondary profile 0 - (FALSE) implies this is not secondary profile
  pPrimaryID | PDP context primary ID function SLQSGetProfileSettings() returns a default value 0xFF if this parameter is not returned by the device
  pIPv6AddPref | IPv6 address preference Preferred IPv6 address to be assigned to the TE; actual assigned address is negotiated with the network and may differ from this value; if not specified, the IPv6 address is obtained automatically from the network
  pUMTSReqQoSSigInd | UMTS requested QoS with Signalling Indication flag
  pUMTSMinQoSSigInd | UMTS minimum QoS with Signalling Indication flag
  pPrimaryDNSIPv6addpref | Primary DNS IPv6 address preference The value may be used as a preference during negotiation with the network; if not specified, the wireless device will attempt to obtain the DNS address automatically from the network; the negotiated value is provided to the host via DHCP
  pSecondaryDNSIPv6addpref | Secondary DNS IPv6 address preference
  paddrAllocationPref | DHCP/NAS preference This enumerated value may be used to indicate the address allocation preference 0 - NAS signaling is used for address allocation 1 - DHCP is used for address allocation
  pQosClassID | 3GPP LTE QoS parameters
  pAPNDisabledFlag | Optional 1 Byte Flag indicating if the APN is disabled/enabled If set, the profile can not be used for making data calls Any data call is failed locally Values: 0 - FALSE(default) 1 - True This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().
  pPDNInactivTimeout | Optional 4 Bytes indicating the duration of inactivity timer in seconds If the PDP context/PDN connection is inactive for this duration i.e. No data Tx/Rx occurs, the PDP context/PDN connection is disconnected Default value of zero indicates infinite value This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().
  pAPNClass | Optional 1 Byte numeric identifier representing the APN in profile Can be set and queried but is not used by the modem This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().

## Field Documentation

BYTE* Profile3GPP::pAddrAllocPref

BYTE* Profile3GPP::pAPNClass

BYTE* Profile3GPP::pAPNDisabledFlag

CHAR* Profile3GPP::pAPNName

WORD* Profile3GPP::pAPNnameSize

BYTE* Profile3GPP::pAuthenticationPref

struct GPRSRequestedQoS* Profile3GPP::pGPRSMinimumQoS

struct GPRSRequestedQoS* Profile3GPP::pGPRSRequestedQos

BYTE* Profile3GPP::pImCnFlag

ULONG* Profile3GPP::pIPv4AddrPref

USHORT* Profile3GPP::pIPv6AddPref

CHAR* Profile3GPP::pPassword

WORD* Profile3GPP::pPasswordSize

BYTE* Profile3GPP::pPcscfAddrUsingDhcp

BYTE* Profile3GPP::pPcscfAddrUsingPCO

ULONG* Profile3GPP::pPDNInactivTimeout

BYTE* Profile3GPP::pPdpAccessConFlag

BYTE* Profile3GPP::pPdpContext

BYTE* Profile3GPP::pPdpDataCompType

BYTE* Profile3GPP::pPdpHdrCompType

BYTE* Profile3GPP::pPDPtype

ULONG* Profile3GPP::pPriDNSIPv4AddPref

USHORT* Profile3GPP::pPriDNSIPv6addpref

BYTE* Profile3GPP::pPrimaryID

CHAR* Profile3GPP::pProfilename

WORD* Profile3GPP::pProfilenameSize

struct QosClassID* Profile3GPP::pQosClassID

ULONG* Profile3GPP::pSecDNSIPv4AddPref

USHORT* Profile3GPP::pSecDNSIPv6addpref

BYTE* Profile3GPP::pSecondaryFlag

struct TFTIDParams* Profile3GPP::pTFTID1Params

struct TFTIDParams* Profile3GPP::pTFTID2Params

struct UMTSQoS* Profile3GPP::pUMTSMinQoS

struct UMTSReqQoSSigInd* Profile3GPP::pUMTSMinQosSigInd

struct UMTSQoS* Profile3GPP::pUMTSReqQoS

struct UMTSReqQoSSigInd* Profile3GPP::pUMTSReqQoSSigInd

CHAR* Profile3GPP::pUsername

WORD* Profile3GPP::pUsernameSize